Main Page | Namespace List | Class Hierarchy | Alphabetical List | Compound List | File List | Namespace Members | Compound Members | File Members

# Lamp::VertexProcessingType Class Reference

頂点プロセスタイプ More...

`#include <VertexProcessingType.h>`

List of all members.

## Public Types
enum | Type { software, mixed, hardware, pureHardware }
| 頂点プロセスタイプ More...
## Public Member Functions
| VertexProcessingType ()
| コンストラクタ
| VertexProcessingType (const VertexProcessingType &copy)
| コピーコンストラクタ
| VertexProcessingType (const Type &copy)
| コピーコンストラクタ
void | operator= (const VertexProcessingType &copy)
| 代入コピーの隠蔽
void | operator= (const Type &copy)
| 代入コピーの隠蔽
u_int | getCreateFlag ()
| 作成フラグの取得
String | toString ()
| 文字列への変換
## Public Attributes
Type | type_
| 頂点プロセスタイプ

## Detailed Description

頂点プロセスタイプ

Definition at line 34 of file VertexProcessingType.h.

## Member Enumeration Documentation

enum Lamp::VertexProcessingType::Type

  | 頂点プロセスタイプ Enumeration values:
  software | ソフトウェア頂点プロセス
  mixed | 混合頂点プロセス
  hardware | ハードウェア頂点プロセス
  pureHardware | ピュアハードウェア頂点プロセス
Definition at line 37 of file VertexProcessingType.h.

## Constructor & Destructor Documentation

Lamp::VertexProcessingType::VertexProcessingType | ( | const VertexProcessingType & | copy | ) | `[inline]`

  | コピーコンストラクタ Parameters:
  copy | コピー元
Definition at line 57 of file VertexProcessingType.h. References type_.

Lamp::VertexProcessingType::VertexProcessingType | ( | const Type & | copy | ) | `[inline]`

  | コピーコンストラクタ Parameters:
  copy | コピー元
Definition at line 65 of file VertexProcessingType.h. References type_.

## Member Function Documentation

u_int Lamp::VertexProcessingType::getCreateFlag | ( |  | ) | `[inline]`

| 作成フラグの取得 Returns: 作成フラグ Definition at line 83 of file VertexProcessingType.h. References hardware, mixed, pureHardware, software, type_, and u_int. Referenced by Lamp::GraphicsDevice::initialize().

void Lamp::VertexProcessingType::operator= | ( | const Type & | copy | ) | `[inline]`

  | 代入コピーの隠蔽 Parameters:
  copy | コピー元
Definition at line 77 of file VertexProcessingType.h. References type_.

void Lamp::VertexProcessingType::operator= | ( | const VertexProcessingType & | copy | ) | `[inline]`

  | 代入コピーの隠蔽 Parameters:
  copy | コピー元
Definition at line 71 of file VertexProcessingType.h. References type_.

String Lamp::VertexProcessingType::toString | ( |  | ) | `[inline]`

| 文字列への変換 Returns: 頂点プロセスタイプの文字列表記 Definition at line 101 of file VertexProcessingType.h. References hardware, mixed, pureHardware, software, and type_.

The documentation for this class was generated from the following file:

- VertexProcessingType.h